Page MenuHomePhabricator

Host PageAssessments extension on Gerrit
Closed, ResolvedPublic3 Story Points

Description

Migrate repo from GitHub to gerrit.

Event Timeline

Niharika created this task.Dec 3 2015, 3:06 PM
Niharika claimed this task.
Niharika raised the priority of this task from to Normal.
Niharika updated the task description. (Show Details)
Niharika added a project: Community-Tech.
Niharika added subscribers: DannyH, kaldari, Niharika, Aklapper.
Krenair added a subscriber: Krenair.Dec 3 2015, 4:27 PM

I don't think moving an extension into gerrit requires code review, it's deployment to Wikimedia production that would require it.

I don't think moving an extension into gerrit requires code review, it's deployment to Wikimedia production that would require it.

Thanks for clearing that up, Krenair.

Niharika updated the task description. (Show Details)Dec 3 2015, 4:31 PM
Niharika set Security to None.
DannyH edited a custom field.Dec 4 2015, 6:54 PM
DannyH moved this task from To be estimated/discussed to Estimated on the Community-Tech board.

They seem to have a shiny request process for this now. I submitted the request here: https://www.mediawiki.org/wiki/Git/New_repositories/Requests

After the request is processed, I think all we have to do is add the .gitreview file to the repo: https://www.mediawiki.org/wiki/Git/Creating_new_repositories#Step_5:_Create_.gitreview_file

The Gerrit repo exists now.

kaldari closed this task as Resolved.Dec 9 2015, 10:20 PM

Looks like everything's set now. Pushed a revision to Gerrit and it worked:
https://gerrit.wikimedia.org/r/#/c/258046/

DannyH moved this task from Estimated to Archive on the Community-Tech board.
kaldari renamed this task from Host PageAssessment extension on Gerrit to Host PageAssessments extension on Gerrit.Jan 9 2016, 2:01 AM